import {createRouter, createWebHistory} from 'vue-router';
import ListView from '@/views/ListView.vue';
// import SchoolClassEditView from '@/views/schoolClass/EditView.vue';
import WorkGroupEditView from '@/views/workGroup/EditView.vue';

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes:  [
    {
      path:      '/',
      name:      'list',
      component: ListView,
    },
    /*
    {
      path: '/edit/schoolclass/:id/:page?',
      name: 'editSchoolClass',
      component: SchoolClassEditView,
      props: {action: 'edit'},
    },
    {
      path: '/add/schoolclass/:id/:page?',
      name: 'addSchoolClass',
      component: SchoolClassEditView,
      props: {action: 'add'},
    },
    */
    {
      path: '/edit/:id/:page?',
      name: 'editWorkGroup',
      component: WorkGroupEditView,
      props: {action: 'edit'},
    },
    {
      path: '/add/:page?',
      name: 'addWorkGroup',
      component: WorkGroupEditView,
      props: {action: 'add'},
    },
  ],
});

export default router;
